# Generated by Django 4.1.9 on 2023-06-10 22:50

from django.db import migrations, models
import django.db.models.deletion
import netbox_floorplan.utils
import taggit.managers
import utilities.json


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('dcim', '0172_larger_power_draw_values'),
        ('extras', '0092_delete_jobresult'),
    ]

    operations = [
        migrations.CreateModel(
            name='Floorplan',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True, null=True)),
                ('custom_field_data', models.JSONField(blank=True, default=dict, encoder=utilities.json.CustomFieldJSONEncoder)),
                ('background_image', models.ImageField(blank=True, null=True, upload_to=netbox_floorplan.utils.file_upload)),
                ('scale', models.DecimalField(blank=True, decimal_places=50, max_digits=100, null=True)),
                ('location', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='dcim.location')),
                ('site', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='dcim.site')),
                ('tags', taggit.managers.TaggableManager(through='extras.TaggedItem', to='extras.Tag')),
            ],
            options={
                'ordering': ('site', 'location', 'background_image', 'scale'),
            },
        ),
        migrations.CreateModel(
            name='FloorplanObject',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True, null=True)),
                ('custom_field_data', models.JSONField(blank=True, default=dict, encoder=utilities.json.CustomFieldJSONEncoder)),
                ('x_coordinate', models.DecimalField(decimal_places=50, max_digits=100)),
                ('y_coordinate', models.DecimalField(decimal_places=50, max_digits=100)),
                ('rotation', models.IntegerField(default=0)),
                ('floorplan', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='netbox_floorplan.floorplan')),
                ('location', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='dcim.location')),
                ('rack', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='dcim.rack')),
                ('tags', taggit.managers.TaggableManager(through='extras.TaggedItem', to='extras.Tag')),
            ],
            options={
                'ordering': ('floorplan', 'rack', 'location', 'x_coordinate', 'y_coordinate', 'rotation'),
            },
        ),
    ]
